#!/bin/bash -e

function log() {
	echo 1>&2 "${@}"
}

function usage() {
	log 'Usage:'
	log -e "\t$0 <path-to-japi-compliance-checker-folder> <path-to-eap-7.1> <path-to-hsearch-5.10-jars>"
	exit 1
}

if (( $# != 3 ))
then
	usage
fi

DATA_DIR=$(readlink -f ${BASH_SOURCE[0]} | xargs dirname)

CHECKER="$1/japi-compliance-checker.pl"
EAP="$2"
HSEARCH_5_10="$3"

perl "$CHECKER" \
	-skip-internal-packages '^.*(impl|spi).*$' \
	-skip-packages "$DATA_DIR/skip-packages.txt" -skip-classes "$DATA_DIR/skip-classes.txt" \
	-lib hibernate-search-lucene \
	-old <(sed "s,/path-to-eap,$EAP,g" "$DATA_DIR/5.5.8.Final-redhat-1.xml") \
	-new <(sed "s,/path-to,$HSEARCH_5_10,g" "$DATA_DIR/5.10.xml") \
	-report-path report-skip-selected.html

